Subject: Re: index file list files not found in working tree

From: Rafik E Younan <[email-masked]>
Date: Tue, 25 Aug 2015 16:50:08 +0200

On 08/25/2015 12:32 PM, John Keeping wrote:
> On Tue, Aug 25, 2015 at 12:16:43PM +0200, Rafik E Younan wrote:
>> I got a recommendation to use reset --hard. I tried it and it says the
>> HEAD is now at correct commit, but missing files are not restored!
>>
>> I tried `ls-tree --name-only` and it lists missing files and folders,
>> but the actual working tree doesn't have these files and folders.
> Is there any chance that you have enabled sparse checkouts?  See the
> documentation at the bottom of git-read-tree(1).
>
>
There was `.git/info/sparse-checkout` file in the local repo, but not in 
other cloned repo. I remove the file, the `.git/index` and did reset 
--hard, and all seems works now.

Thanks for your help.

Git community rocks!

Regards,
Rafik